Inconsistencies around textbox highlighting in link inspector
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open VisualEditor on some page.
  2. Highlight some text.
  3. Open link inspector
  4. Now switch from "Search Pages" to "External link" tab, observe that the highlight around text box is red
  5. Now switch back to "Search Pages"
  6. Switch back to "External link", this time the highlight around the text box is blue.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2017, 11:21 PM
Deskana triaged this task as Normal priority.Aug 1 2017, 7:07 PM
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.
Deskana set the point value for this task to 1.
DLynch added a subscriber: DLynch.Aug 29 2017, 3:19 PM

It seems to always be blue for me. Are you still seeing this, or...?

I can't get this to work with these exact reproduction steps, but if you change step 1 to "Highlight some text and open link inspector" then this can be reproduced. I'll change the description.

Deskana updated the task description. (Show Details)Aug 29 2017, 3:50 PM

Ah, I think my own "try selecting something" phase accidentally hit some text which was a valid URL, explaining my problems.

Change 374563 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] MWLinkAnnotationInspector: check input validity when switching modes

https://gerrit.wikimedia.org/r/374563

Change 374563 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWLinkAnnotationInspector: check input validity when switching modes

https://gerrit.wikimedia.org/r/374563

Deskana closed this task as Resolved.Aug 29 2017, 5:57 PM
Deskana assigned this task to DLynch.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 29 2017, 5:57 PM